Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.debug.core.vm
Class DebugEnvironmentFactory

    java.lang.Object
      EcoreEnvironmentFactory
          org.eclipse.m2m.internal.qvt.oml.ast.env.QvtOperationalEnvFactory
              org.eclipse.m2m.qvt.oml.debug.core.vm.DebugEnvironmentFactory

    public final class DebugEnvironmentFactory

extends org.eclipse.m2m.internal.qvt.oml.ast.env.QvtOperationalEnvFactory

Field Summary

Fields inherited from class org.eclipse.m2m.internal.qvt.oml.ast.env.QvtOperationalEnvFactory
`INSTANCE`

Constructor Summary
`DebugEnvironmentFactory(IQVTODebuggerShell debuggerShell)`

Method Summary
`` | `createEvaluationEnvironment( parent)`
`org.eclipse.m2m.internal.qvt.oml.ast.env.QvtOperationalEvaluationEnv` | `createEvaluationEnvironment(IContext context, org.eclipse.m2m.internal.qvt.oml.ast.env.QvtOperationalEvaluationEnv parent)`
`` | `createEvaluationVisitor( env, evalEnv, java.util.Map<? extends EClass,? extends java.util.Set<? extends EObject>> extentMap)`

Methods inherited from class org.eclipse.m2m.internal.qvt.oml.ast.env.QvtOperationalEnvFactory
`createEnvironment, createEnvironment, createModuleEnvironment, createOperationContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DebugEnvironmentFactory

    public DebugEnvironmentFactory(IQVTODebuggerShell debuggerShell)

Method Detail

### createEvaluationEnvironment

    public  createEvaluationEnvironment( parent)

  Overrides:
    `createEvaluationEnvironment` in class `org.eclipse.m2m.internal.qvt.oml.ast.env.QvtOperationalEnvFactory`

### createEvaluationEnvironment

    public org.eclipse.m2m.internal.qvt.oml.ast.env.QvtOperationalEvaluationEnv createEvaluationEnvironment(IContext context,
                                                                                                            org.eclipse.m2m.internal.qvt.oml.ast.env.QvtOperationalEvaluationEnv parent)

  Overrides:
    `createEvaluationEnvironment` in class `org.eclipse.m2m.internal.qvt.oml.ast.env.QvtOperationalEnvFactory`

### createEvaluationVisitor

    public  createEvaluationVisitor( env,
                                          evalEnv,
                                         java.util.Map<? extends EClass,? extends java.util.Set<? extends EObject>> extentMap)

  Overrides:
    `createEvaluationVisitor` in class `org.eclipse.m2m.internal.qvt.oml.ast.env.QvtOperationalEnvFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD